<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/usuarios.php"); 
   encabezado2($target); 
		 class obtiene{
		  var $userObj;
		  function obtener($perfil){
					$this->userObj=new select_zonas();
				    $tabla=$this->userObj->get_tabla($_GET['suc']);
					$_SESSION['tabla_guia']=$tabla;
		  }
		  function arreglo($sql_consulta){
				$this->userObj=new select_zonas();
				$array=$this->userObj->get_array($sql_consulta);
				return $array;		
		}
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];
	$id=$_GET['id_usuario'];
	$tipo=$_GET['tipo'];
	$est="Actualizar";
	$pagina='ACTUALIZAR USUARIO';
	if($tipo==2 && !isset($Ejecutar)){
		$est="Eliminar";
		$read="readonly='readonly'";
		$pagina='ELIMINAR USUARIO';
	}
	$sql_usuarios="SELECT * FROM usuarios WHERE id_usuario ='$id'";
	$array=$eliminaObj->arreglo($sql_usuarios);
?>

<form action="" method="POST" name="backup">
<CENTER>
<table width="318" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <?=$est ?> Usuario::..</div></td>
</tr>

<tr class="miTable_tr">
<td width="130" valign=top height="24" class=miTable_td>
Nombre:</td>
<td width="178" valign=top height="24" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="130" valign=top height="24" class=miTable_td>
Direccion:</td>
<td width="178" valign=top height="24" class="miTable_td">
<input type="text" name="dir" value="<? echo $dir;?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="130" class="miTable_td">
Telefono:</td>
<td width="178" class="miTable_td">
<input type="text" name="tel" value="<? echo $tel;?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="130" class="miTable_td">Nombre de Usuario:</td>
<td width="178" class="miTable_td">
<input type="text" name="usuario" value="<? echo $usuario?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="130" class="miTable_td">Password:</td>
<td width="178" class="miTable_td">
<input type="password" name="password" value="<? echo $password?>" class="inputbox" size="25"></td>
</tr>

<tr class="miTable_tr">
  <td class="miTable_td">Perfil:</td>
  <td class="miTable_td"><select name="perfil2" class="inputbox">
    <option value="1" <? if($perfil2==1){ echo 'selected';}?>>Administrador</option>
    <option value="3" <? if($perfil2==3){ echo 'selected';}?>>Operaciones</option>    
    <option value="5" <? if($perfil2==5){ echo 'selected';}?>>Contacto</option>
  </select></td>
</tr>
<tr class="miTable_tr">
<td width="130" class="miTable_td">
Estado:</td>
<td width="178" class="miTable_td">
<select name="estado" class="inputbox">
<option value="1" <? if($estado==1){ echo 'selected';}?>>Activo</option>
<option value="0" <? if($estado==0){ echo 'selected';}?>>Inactivo</option>
</select></td>
</tr>

<tr class="miTable_tr">
<td width="130" class="miTable_td">
Sucursal:</td>
<td width="178" class="miTable_td">
<select name="suc" class="inputbox" style="width:260px">
<?
class sucursal{
	var $userObj;
		function get_sucursal($suc){
		$this->userObj=new select_zonas();
		$this->userObj->toma_sucursal($suc);
	    }
}
$sucursalObj=new sucursal();
$sucursalObj->get_sucursal($array[0][6]);
?>
</select></td>

</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center"> 
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
 </div>
</td>
</tr>
</table>
<?

if($tipo==1 && isset($Ejecutar)){
  
class ejecutaUsuario{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$nombre,$dir,$tel,$usuario,$password,$estado,$perfil2,$suc,$cliente){
			$_SESSION['desc']=$desc;
	  		$this->consultarObj=new usuarios();
	  		$this->consultarObj->setId($id);
			$this->consultarObj->setNombre($nombre);
			$this->consultarObj->setDireccion($dir);
			$this->consultarObj->setTelefono($tel);
			$this->consultarObj->setUsuario($usuario);
			$this->consultarObj->setPassword($password);
			$this->consultarObj->setEstado($estado);
			$this->consultarObj->setPerfil($perfil2);
			$this->consultarObj->setSucursal($suc);
			$this->consultarObj->setCliente($cliente);
	}
	
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE id_usuario='".$this->consultarObj->getId()."'");

			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$nombre=$this->consultarObj->getNombre();
				$nombre=strtoupper($nombre); //MINUSCULAS strtolower($cadena)
				$dir=$this->consultarObj->getDireccion();
				$tel=$this->consultarObj->getTelefono();
				$usuario=$this->consultarObj->getUsuario();
				$password=$this->consultarObj->getPassword();
				$estado=$this->consultarObj->getEstado();
				$perfil2=$this->consultarObj->getPerfil();
				$suc=$this->consultarObj->getSucursal();
				//$cliente=$this->consultarObj->getCliente();
				$this->modificarUsuario($id,$nombre,$dir,$tel,$usuario,$password,$estado,$perfil2,$suc);
			}else{
				$msgBOX2 = "No Se Encontro Usuario";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarUsuario($id,$nombre,$dir,$tel,$usuario,$password,$estado,$perfil2,$suc){
			$rst_modificar=$this->conexionObj->consultar("UPDATE usuarios SET nombre = '".$nombre."', direccion = '".$dir."', telefono = '".$tel."', usuario = '".$usuario."', password = '".$password."', estado = '".$estado."', id_perfil = '".$perfil2."', id_sucursal = '".$suc."'
			 WHERE id_usuario = ".$id."");
                        $affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Usuario.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Usuario.".mysql_error();
				echo "<script>
	             	  alert('$msgBOX2');
					   window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaUsuarioObj=new ejecutaUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaUsuarioObj->setConsultar($_POST['id'],$_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['usuario'],$_POST['password'],$_POST['estado'],$_POST['perfil2'],$_POST['suc'],$_POST['cliente']);
// LAMANDO EL METODO DE NEGOCIO
$ejecutaUsuarioObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){

	class quitarUsuario{
		var $consultarObj;
		var $conexionObj;
		var $estado;
		function setConsultar($id){
			$this->consultarObj=new usuarios();
			$this->consultarObj->setId($id);
		}
		function getConsultar(){
			return $this->consultarObj;
		}
		function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE id_usuario='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$this->eliminarUsuarios($id);
			}else{
				$msgBOX2 = "No Se Encontro Usuario.";
				echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";
			}
		}
		function eliminarUsuarios($id){
			$del_user[]=$id;
			delete_user_menu($del_user,'usuarios','id_usuario','0');			
			$this->conexionObj->consultar("DELETE FROM menu_contacto WHERE id_usuario = ".$id."");			
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM usuarios WHERE id_usuario = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Usuario.";
				echo "<script>
	            opener.document.location.reload();
				alert('$msgBOX2');
				window.close();
	  		  	</script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Usuario.";
				echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";
			}
		}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarUsuarioObj=new quitarUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarUsuarioObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
$quitarUsuarioObj->validar();
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<? pie_de_pagina();?>
</CENTER>
</td>
</tr>
</tbody>
</table>
</CENTER>
</form>

	<?php
   echo"</body>";
   echo"</html>";
?>